Unexpected exception trying to send to websocket: code = 1006

Hello everyone, today after updating the Chia GUI to 1.1.7 version (Windows 10 Pro x64) I faced a lot (hundreds) of this kind of errors. Just to clarify that before these errors didn’t appear. Do anybody know how to fix that and why does it appear?

2021-06-07T01:22:24.261 farmer chia.rpc.rpc_server        : WARNING  Sending data failed. Exception Traceback (most recent call last):
ConnectionResetError: Cannot write to closing transport
2021-06-07T01:22:24.388 farmer chia.rpc.rpc_server        : WARNING  Sending data failed. Exception Traceback (most recent call last):
ConnectionResetError: Cannot write to closing transport
2021-06-07T01:23:17.210 daemon __main__                   : ERROR    Unexpected exception trying to send to websocket: code = 1006 (connection closed abnormally [internal]), no reason Traceback (most
 recent call last):
websockets.exceptions.ConnectionClosedError: code = 1006 (connection closed abnormally [internal]), no reason

After appearing this warnings and errors the syncing process began to be late a lot (ex. now is 1:00:00 am and last sync was at 0:20:43 am and the difference is only growing).

1 Like

one more error is there:
2021-06-07T01:37:04.943 daemon asyncio : ERROR Task exception was never retrieved future: <Task finished coro=<WebSocketServer._state_changed() done, defined at chia\daemon\server.py:337> exception=ValueError('list.remove(x): x not in list')> concurrent.futures._base.CancelledError websockets.exceptions.ConnectionClosedError: code = 1006 (connection closed abnormally [internal]), no reason ValueError: list.remove(x): x not in list

same here, using chia 1.1.7

Same here. Something’s up. It’s been happening for me since 1.1.5 or so I think.

2021-06-11T11:40:17.568 daemon __main__                   : INFO     Websocket exception. Closing websocket with chia_harvester code = 1006 (connection closed abnormally [internal]), no reason Traceback (most recent call last):
  File "websockets\protocol.py", line 827, in transfer_data
  File "websockets\protocol.py", line 895, in read_message
  File "websockets\protocol.py", line 971, in read_data_frame
  File "websockets\protocol.py", line 1051, in read_frame
  File "websockets\framing.py", line 105, in read
  File "asyncio\streams.py", line 679, in readexactly
  File "asyncio\streams.py", line 473, in _wait_for_data
  File "asyncio\selector_events.py", line 814, in _read_ready__data_received
ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "chia\daemon\server.py", line 172, in safe_handle
  File "websockets\protocol.py", line 439, in __aiter__
  File "websockets\protocol.py", line 509, in recv
  File "websockets\protocol.py", line 803, in ensure_open
websockets.exceptions.ConnectionClosedError: code = 1006 (connection closed abnormally [internal]), no reason